/*---------------*/
/***** Ming *****/
/*---------------*/

figure.pro-item {
	background: #fff;
    position: relative;
    float: left;
    overflow: hidden;
    margin: 10px 1%;
    min-width: 320px;
    max-width: 480px;
    max-height: 430px;
    height: auto;
    text-align: center;
    cursor: pointer;
    padding: 10px;
}

figure.pro-item img {
	    width: 100%;
	opacity: 0.9;
	-webkit-transition: opacity 0.35s;
	transition: opacity 0.35s;
}
figure.pro-item figcaption {
	position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #fff;
    text-transform: uppercase;
    font-size: 1.25em;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
figure.pro-item figcaption::before {
	position: absolute;
	top: 30px;
	right: 30px;
	bottom: 30px;
	left: 30px;
	border: 2px solid #fff;
	box-shadow: 0 0 0 30px rgba(255,255,255,0.2);
	content: '';
	opacity: 0;
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
	-webkit-transform: scale3d(1.4,1.4,1);
	transform: scale3d(1.4,1.4,1);
}

figure.pro-item h3 {
	position: absolute;
    -webkit-transition: -webkit-transform 0.35s;
    transition: transform 0.35s;
    left: 0;
    right: 0;
    bottom: 0;
}
figure.pro-item h3 a {
	padding: 20px 0;
    background: rgba(0, 0, 0, 0.58);
    color: white !important;
	margin: 0 !Important;
}
figure.pro-item p {
	padding: 1em;
	opacity: 0;
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
	-webkit-transform: scale(1.5);
	transform: scale(1.5);
}
figure.pro-item  .button {
	opacity: 0;
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
	-webkit-transform: scale(1.5);
	transform: scale(1.5);
}
figure.pro-item:hover h3 {
	-webkit-transform: scale(0.9);
	transform: scale(0.9);
}

figure.pro-item:hover figcaption::before,
figure.pro-item:hover p,
figure.pro-item:hover  .button {
	opacity: 1;
	-webkit-transform: scale3d(1,1,1);
	transform: scale3d(1,1,1);
}

figure.pro-item:hover figcaption {
	background-color: rgba(58,52,42,0);
}

figure.pro-item:hover img {
	opacity: 0.4;
}